<?php

namespace ReadyApp\Projekty\Forms\Plugins;

use Ready\Component\System\Events\Subscriber\SynchronousSubscriberInterface;
use Ready\App\Processes\Event\MainFormCreated;

final class ProcessMainGeneralFormAfterCreate implements SynchronousSubscriberInterface {

    /**
     * @return array[]|\array[][]|string[]
     */
    public static function getSubscribedEvents(): array {
        return [
            MainFormCreated::class => 'onEvent',
        ];
    }

    public function onEvent(object $event): void {
        if ($event instanceof \Ready\App\Processes\Event\MainFormCreated) {
            $processes = $event->getProcess();
            $processes->dscrpt->disable();
            $processes->dscrpt->setReadOnly(TRUE);
        }
    }
}